Bug 8629 - update of statistics fields on fund selection in order creation/edition
Summary: update of statistics fields on fund selection in order creation/edition
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P3 normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Mason James
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-13 11:54 UTC by Fridolin SOMERS
Modified: 2013-05-23 06:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (10.22 KB, patch)
2012-08-13 12:11 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8629: update of statistics fields on fund selection in order creation/edition (10.39 KB, patch)
2012-08-14 12:32 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2012-08-13 11:54:27 UTC
In 'neworderempty' and 'addorederis2709', changing fund will call the ajax function 'fetchSortDropbox' (acq.js).
If fund selected has a defined authorized value for statistic field 'sort1', a combo-box is displayed for this field (idem for sort2).

Bug is that when switching from a found with authorized value to one without authorized value, statistic field is an empty combo-box instead of a free text input.
Also, permission on fetch_sort_dropbox.pl was 'edit_catalogue'. I set it to 'order_manage', the same has 'neworderempty.pl' and 'addorederis2709.pl'.

I added a behavior : when statistic field is already a free text input and fund selected is without authorized value, the field is not modified to preserve its value.
Comment 1 Fridolin SOMERS 2012-08-13 12:11:22 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2012-08-14 12:32:31 UTC
Created attachment 11602 [details] [review]
[SIGNED-OFF] Bug 8629: update of statistics fields on fund selection in order creation/edition

Signed-off-by: Marc Veron <veron@veron.ch>

Followed test plan in comment #1
Behaves as described in the test plan.
Useful feature!
Comment 3 Mason James 2012-09-14 10:30:22 UTC
(In reply to comment #2)
> Created attachment 11602 [details] [review]
> [SIGNED-OFF] Bug 8629: update of statistics fields on fund selection in
> order creation/edition
> 
> Signed-off-by: Marc Veron <veron@veron.ch>
> 
> Followed test plan in comment #1
> Behaves as described in the test plan.
> Useful feature!

patch looks good, passing QA...

$ koha-qa.pl -c 

testing 1 commit(s) (applied to commit 60790d0)
 * 2ffc88c Bug 8629: update of statistics fields on fund selection in order 
      acqui/addorderiso2709.pl
      acqui/fetch_sort_dropbox.pl
      acqui/neworderempty.pl
      koha-tmpl/intranet-tmpl/prog/en/js/acq.js
      koha-tmpl/intranet-tmpl/prog/en/modules/acqui/addorderiso2709.tt
      koha-tmpl/intranet-tmpl/prog/en/modules/acqui/neworderempty.tt

* acqui/addorderiso2709.pl                                                 OK
* acqui/fetch_sort_dropbox.pl                                              OK
* acqui/neworderempty.pl                                                   OK
* koha-tmpl/intranet-tmpl/prog/en/modules/acqui/addorderiso2709.tt         OK
* koha-tmpl/intranet-tmpl/prog/en/modules/acqui/neworderempty.tt           OK
Comment 4 Paul Poulain 2012-09-14 14:59:06 UTC
Patch pushed to master
Comment 5 Chris Cormack 2012-09-25 01:57:45 UTC
Pushed to 3.8.x will be in 3.8.6